Menu

## Obfuscation
in package

Obfuscation.php : 20

String obfuscation.

ROT-13 + Zlib compression + base64 encoding. See: https://stackoverflow.com/questions/2996049/how-to-compress-decompress-a-long-query-string-in-php.

##### Tags

link
  https://git.lattuga.net/netico/code-library/src/master/Framework
copyright

  Copyright (c) 2016, 2022 netico netico@riseup.net

license

  https://www.gnu.org/licenses/gpl-3.0.en.html GNU General Public License

author

  netico netico@riseup.net

### Table of Contents

deobfuscate() : string
  This is the method to deobfuscate a string.
obfuscate() : string
  This is the method to obfuscate a string.

### Methods

#### deobfuscate()

Obfuscation.php : 39

This is the method to deobfuscate a string.

`public deobfuscate(string $str) : string`

##### Parameters

$str : string

##### Return values

string —

#### obfuscate()

Obfuscation.php : 28

This is the method to obfuscate a string.

`public obfuscate(string $str) : string`

##### Parameters

$str : string

##### Return values

string —

## Search results